//**********************************************************************//
//									//
//	safe.shader for Q3Radiant					//
//	Author: Sock - December 2002					//
//      URL: http://www.planetquake.com/simland				//
//									//
//**********************************************************************//

textures/safe/primary
{    
	qer_editorimage textures/safe/primary.tga
	q3map_nonplanar
	q3map_tcGenivector
	q3map_shadeangle 120 
        {
		map $lightmap
		rgbGen identity
	}
	{
		map textures/safe/primary.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/safe/primaryslick
{    
	qer_editorimage textures/safe/primaryslick.tga
	q3map_nonplanar 
	q3map_tcGenivector
	q3map_shadeangle 120 
	surfaceparm slick
        {
		map $lightmap
		rgbGen identity
	}
	{
		map textures/safe/primary.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/safe/beam_primary
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .9
	cull none
	{
		map textures/safe/beam_primary.tga
                tcMod Scroll .3 0
                blendFunc add
        }
     
}

textures/safe/secondary
{    
	qer_editorimage textures/safe/secondary.tga
	q3map_nonplanar 
	q3map_tcGenivector
	q3map_shadeangle 120 
        {
		map $lightmap
		rgbGen identity
	}
	{
		map textures/safe/secondary.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/safe/light_2K
{
	qer_editorimage textures/safe/light.tga
//	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/safe/light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/safe/light.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/safe/jp
{
	qer_editorimage textures/safe/jp.tga
	q3map_lightimage textures/safe/jp_ring.blend.tga	
	q3map_surfacelight 400
	{
		map textures/safe/jp_spark.blend.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/safe/jp_ring.blend.tga
		blendfunc ADD
		tcMod stretch sin 1.2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/safe/jp.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/safe/jpeye
{
	qer_editorimage textures/safe/jpeye.tga
	q3map_lightimage textures/safe/jp_ring.blend.tga	
	q3map_nonplanar 
	q3map_shadeangle 120 
	q3map_surfacelight 400
	{
		map textures/safe/jp_spark.blend.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/safe/jp_ring.blend.tga
		blendfunc ADD
                tcmod rotate 180
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/safe/jp.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/safe/wp
{
	qer_editorimage textures/safe/wp.tga
	q3map_lightimage textures/safe/jp_ring.blend.tga	
	q3map_nonplanar 
	q3map_shadeangle 120 
	q3map_surfacelight 200
	{
		map textures/safe/jp_spark.blend.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		clampmap textures/safe/jp_ring.blend.tga
		blendfunc ADD
                tcmod rotate 180
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/safe/wp.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/safe/black
{
	qer_editorimage textures/safe/black.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 48
	q3map_lightsubdivide 256
	
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
	
	q3map_sun 0.9 1 0.9 100 0 60
	{
		map textures/safe/black.tga
	}
}

textures/safe/ink
{
	qer_editorimage textures/safe/black.tga
	
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_texturesize 1 1
	q3map_invert
	q3map_offset -2.0
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	
	{
		map textures/safe/black.tga
		rgbGen identity
	}
}
